#!/usr/bin/env python
# -*- coding: utf-8 -*-		Time-stamp: <2013-01-28 14:46:38 faulbaum>

# © copyright 2013
# by Dieter Faulbaum, Berlin, Germany

"""doc_str"""

import math
import os
import sys
from optparse import OptionParser

# -----------------------------------------------------------------------------

def main():
    """doc_str"""

    # init some variables
    version = "0.0.1 (less than alpha)"
    ver_major, ver_minor, ver_patch = version.split('.')
    # init some variables end

    prog = os.path.basename(sys.argv[0])
    usage = """%s [options] mailboxes[s]""" % prog
    description = """{0} does this: ...""".format(prog.capitalize())

    parser = OptionParser(usage=usage, description=description)
    parser.add_option("-V", "--version",
                      action="store_true",
                      help="show the program's version and exit")
    options, args = parser.parse_args()

    if options.version:
        print("The version of '%s' is " % (version))
        sys.exit()

    if len(args) != 1:
        print("\nYou need to supply one input file \n"
              "with a 6 dimensional phase space ordered:\n"
              "x, y, z, px, py, pz\n"
              "The output will be ordered x, px, y, py, z, pz\n"
              "to dump results to file use: > filename\n")
        sys.exit(1)

    try:
        ifile1 = open(args[0], 'r')
    except IOError, err:
        print("Can't open '%s' for reading:\n%s" % (args[0], err))
        sys.exit(1)

    Lines1 = ifile1.readlines()
    for no, line in enumerate(Lines1):
        fields = line.split()
        if no == 0:
            Eref = float(fields[5])
        f1 = float(fields[0])
        f2 = float(fields[1])
        f3 = float(fields[2])
        f4 = float(fields[3]) / 10**9 /.511
        f5 = float(fields[4]) / 10**9 /.511
        f6 = (float(fields[5]) + Eref) / 10**9 /.511
        
        print f1, f4, f2, f5, f3, f6



# -----------------------------------------------------------------------------

if __name__ == "__main__":
    main()
